# Fabric References

This is a non-exhaustive list of Fabric usage in the wild. Send us a PR if you spot articles which we did not know about!

## Blog Posts

- [Accessing GKE private clusters through IAP](https://medium.com/google-cloud/accessing-gke-private-clusters-through-iap-14fedad694f8)<br>*Medium / Luca Prete*
- [Apigee X Organization Provisioning with Google Terraform Modules](https://www.googlecloudcommunity.com/gc/Apigee/Apigee-X-Organization-Provisioning-with-Google-Terraform-Modules/m-p/166411)<br>*Google Cloud Community / Daniel Strebel*
- [Calling a private Google Cloud Function from on-prem](https://medium.com/google-cloud/calling-a-private-google-cloud-function-from-on-prem-91eb628c85ac)<br>*Medium / Andrea Gandolfi*
- [Connect your on premise data center with Direct Interconnect and automate vlan attachments creation with Terraform](https://medium.com/google-cloud/connect-your-on-premise-data-center-with-direct-interconnect-and-automate-vlan-attachments-creation-8db1bdcc156b)<br>*Medium / Domenica Siviglia*
- [Fine-grained Cloud DNS IAM via Service Directory](https://medium.com/google-cloud/fine-grained-cloud-dns-iam-via-service-directory-446058b4362e)<br>*Medium / Ludovico Magnocavallo*
- [Give app teams autonomy over their DNS records with Cloud DNS peering](https://cloud.google.com/blog/products/networking/how-to-use-cloud-dns-peering-in-a-shared-vpc-environment)<br>*Google Cloud Blog / Aurelien Legrand, Karthik Balakrishnan*
- [Managing GCP service usage through delegated role grants](https://medium.com/google-cloud/managing-gcp-service-usage-through-delegated-role-grants-a843610f2226)<br>*Medium / Julio Castillo*
- [Resource Factories: A descriptive approach to Terraform](https://medium.com/google-cloud/resource-factories-a-descriptive-approach-to-terraform-581b3ebb59c)<br>*Medium / Simone Ruffilli*
- [Using Cloud Asset Inventory feeds for dynamic configuration and policy enforcement](https://medium.com/google-cloud/using-cloud-asset-inventory-feeds-for-dynamic-configuration-and-policy-enforcement-c37b6a590c49)<br>*Medium / Ludovico Magnocavallo*
- [Using GCP Cloud Asset Inventory Export to keep track of your GCP resources over time](https://medium.com/google-cloud/using-gcp-cloud-asset-inventory-export-to-keep-track-of-your-gcp-resources-over-time-20fb6fa63c68)<br>*Medium / Lorenzo Caggioni*

## Books

- [Building Serverless Applications with Google Cloud Run](https://www.google.it/books/edition/Building_Serverless_Applications_with_Go/PV4MEAAAQBAJ?hl=en&gbpv=1&dq=a+valuable+resource+on+github+fabric&pg=PT143&printsec=frontcover)<br>*Wietse Venema*

## GCP Reference Architectures

- [Decide a resource hierarchy for your Google Cloud landing zone](https://cloud.google.com/architecture/landing-zones/decide-resource-hierarchy)
- [Decide the network design for your Google Cloud landing zone](https://cloud.google.com/architecture/landing-zones/decide-network-design)
- [Hub-and-spoke network architecture](https://cloud.google.com/architecture/deploy-hub-spoke-vpc-network-topology)
  - [Deploy a hub-and-spoke network using VPC Network Peering](https://cloud.google.com/architecture/deploy-hub-spoke-network-using-peering)
  - [Deploy a hub-and-spoke network using Cloud VPN](https://cloud.google.com/architecture/deploy-hub-spoke-network-using-vpn)

## Third-party reviews

- [Google Cloud Landing Zone Comparison](https://www.meshcloud.io/2022/09/09/gcp-landing-zone-comparison/) by Meshcloud.
